Anonymous Login
2018-12-15 14:05 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001858OpenClonkObjectspublic2017-12-26 19:01
ReporterMupf 
Assigned ToLuchs 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target Version8.0Fixed in Version8.0 
Summary0001858: Stuck Coconut makes Clonks tumble (snapshot)
DescriptionIn 'Tiefseemine', we accidentally blew up our lorry right at the beginning. Above the resulting crater, a coconut was floating in the air, constantly growing smaller. When jumping though it, Clonks got flinged away as if the Coconut still had speed.
Steps To Reproduce???
Additional InformationSee video.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005973

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/a4f25ecd4c5993bef2d058d85466c4aca9c644d7

Changeset a4f25ec by Lukas Werling <lukas.werling@gmail.com>
Don't accidentally reattach coconuts (0001858)

I'm not sure how exactly that issue happens, but in the attached video
it looks like C4D_StaticBack was accidentally set again. As the XOR
operation can do that, I'm changing it to always set the C4D_StaticBack
bit to 0.

~0005974

Luchs (administrator)

I couldn't actually reproduce the issue, but hope that commit fixes it.
+Notes

-Issue History
Date Modified Username Field Change
2016-12-04 18:13 Mupf New Issue
2016-12-04 18:13 Mupf File Added: 2016-12-04 19-00-17.mp4
2017-08-05 13:51 Maikel Target Version => 8.0
2017-12-26 19:01 occ Note Added: 0005973
2017-12-26 19:01 Luchs Assigned To => Luchs
2017-12-26 19:01 Luchs Status new => resolved
2017-12-26 19:01 Luchs Resolution open => fixed
2017-12-26 19:01 Luchs Fixed in Version => 8.0
2017-12-26 19:01 Luchs Note Added: 0005974
+Issue History